FGCONSOLE(1)

NAME
fgconsole - print the number of the active VT.

SYNOPSIS
fgconsole [options]

DESCRIPTION
If the active Virtual Terminal is /dev/ttyN, then prints N on standard output.

If the console is a serial console, then "serial" is printed instead.

OPTIONS

-n, --next-available
    Will show the next unallocated virtual terminal. Normally 6 virtual terminals are allocated, with number 7 used for X; this will return "8" in this case.

-C, --console=DEV
    the console device to be used.

-V, --version
    print version number.

-h, --help
    print this usage message.

NOTES
Under devfs, the consoles are in /dev/vc/N. devfsd may maintain symlinks for compatibility.

AUTHORS
Andries Brouwer <aeb@cwi.nl>
Manpage by Alastair McKinstry <mckinstry@computer.org>

SEE ALSO
chvt(1), deallocvt(1), openvt(1)